:root {
  --section-padding: 64px;
}

body {
  position: relative;
}

.separator-bg {
  width: 100%;
  height: 20vh;
  background: url('../img/bg-category-products.jpg');
  background-position: center center;
  background-size: cover;
}

.main {
  display: flex;
  gap: 72px;
  max-width: 1440px;
  margin: 40px auto;
  padding: 0px var(--section-padding);
}

/* Filter Aside */

.main__filters {
  max-width: 260px;
  margin-top: 24px;
}

.main__filters__wrapper-filters {
  display: flex;
  flex-direction: column;
}

.filters__wrapper-filters__filter-title {
  margin-bottom: 16px;
  font-family: 'DM Sans', sans-serif;
  font-size: clamp(1.6rem, 5vw, 2rem);
  color: #000;
}

.filter-collapsable {
  height: auto;
}

.filter-collapsable__button {
  display: flex;
  align-items: center;
  gap: 12px;
  justify-content: space-between;
  width: 100%;
  padding: 8px 0;
  font-family: 'DM Sans', sans-serif;
  font-size: 1.6rem;
  font-weight: 700;
  color: #000;
  background-color: transparent;
  border: none;
  cursor: pointer;
}

.filter-collapsable__button__button-title {
  display: block;
  max-width: 190px;
  text-align: left;
  pointer-events: none;
}

.filter-collapsable__button__icon {
  max-width: 12px;
  pointer-events: none;
}

.filter-collapsable__button span img {
  display: none;
}

.--active-icon {
  display: block !important;
}

.filter-collapsable__hidden-filter {
  display: grid; 
  grid-template-rows: 0fr;
  transition: grid-template-rows .3s;
}

.filter-collapsable__hidden-filter > div {
  overflow: hidden;
}

.--active-collapsable {
  grid-template-rows: 1fr !important;
}

.filter-collapsable__hidden-filter li a {
  display: block;
  padding: 6px 16px;
  font-size: 1.4rem;
  font-family: 'DM Sans', sans-serif;
  font-weight: 400;
  color: #000;
  transition: all .3s;
}

.filter-collapsable__hidden-filter li a:hover {
  color: var(--primary-color)
}
.prices-filter {
  padding: 6px 16px;
}
.prices-filter .inputs {
  display: flex;
  gap: 10px;
}
.prices-filter .inputs input {
  width: 100%;
  padding: 6px 4px;
  color: var(--gray800);
  border: 1px solid var(--gray600);
  background-color: #fff;
}
.prices-filter button {
  margin: 0;
  width: fit-content;
  padding: 6px 14px;
  font-size: 1.2rem;
  border-radius: 0;
  margin-top: 10px;
  cursor: pointer;
}
.main__filters__separator {
  display: block;
  width: 100%;
  height: 1px;
  margin: 30px auto;
  background-color: var(--gray600);
}

/* Mobile Filter */

.main__filter-products__mobile-filter {
  display: none;
  width: 100%;
  margin-top: 24px;
}

.main__filter-products__mobile-filter h1 {
  font-size: clamp(1.6rem, 5vw, 2.4rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 700;
  color: #000;
}

.mobile-filter__navigation {
  display: flex;
  gap: 6px;
  margin-top: 6px;
  overflow-x: scroll;
  scrollbar-width: none;
}

.mobile-filter__navigation::-webkit-scrollbar  {
  display: none;
}

.mobile-filter__navigation__button {
  display: flex;
  align-items: center;
  gap: 6px;
  padding: 4px 10px;
  font-size: clamp(1.4rem, 5vw, 1.6rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 500;
  color: #141414;
  border: 1px solid var(--gray800);
  border-radius: 16px;
  background-color: #fff;
  cursor: pointer;
  /* transition: all .3s; */
}

.mobile-filter__navigation__button span {
  display: flex;
  align-items: center;
  width: 14px;
  margin-top: 3px;
  rotate: -90deg;
  transition: all .3s;
}

.--active-button-icon {
  rotate: 90deg !important;
}

dialog {
  position: fixed;
	min-width: 100%;
	min-height: 100%;
	background-color: rgba(0, 0, 0, 0.1);
  border: none;
}

.filter-container {
  position: absolute;
  bottom: 0;
  width: 100%;
  padding: 24px 16px;
  background-color: #fff;
  border-radius: 10px 10px 0px 0px;
  overflow: hidden;
}

.filter-content__header-filter {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.filter-content__header-filter h2 {
  font-size: clamp(2.4rem, 5vw, 3.6rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 600;
  color: #000;
}

.filter-content__header-filter .button-close {
  display: flex;
  align-items: flex-end;
  padding: 6px;
  font-family: 'DM Sans', sans-serif;
  font-size: 1.4rem;
  border: none;
  background-color: transparent;
  cursor: pointer;
  pointer-events: all;
}

.filter-content__header-filter .button-close span {
  max-width: 24px;
  pointer-events: none;
}

.filter-content__separator {
  display: block;
  width: 100%;
  height: 1px;
  background-color: var(--gray600);
  margin: 16px 0;
}

.filter-content__wrapper-items {
  display: flex;
  gap: 16px;
  flex-wrap: wrap;
}

.filter-content__wrapper-items li {
  padding: 6px 10px;
  font-family: 'DM Sans', sans-serif;
  font-size: 1.6rem;
  border: 1px solid var(--primary-color);
  border-radius: 16px;
  background-color: transparent;
}

.filter-content__button-apply {
  width: 100%;
  margin-top: 36px;
  padding: 12px 16px;
  font-family: 'DM Sans', sans-serif;
  font-size: 1.6rem;
  font-weight: 600;
  color: #fff;
  border-radius: 8px;
  background-color: var(--primary-color);
  border: none;
}

.filter-content__button-apply:hover {
  background-color: var(--secondary-color);
}

/* List Products */

.main__filter-products {
  flex: 1;
}

.section__title {
  width: 100%;
  font-size: clamp(1.8rem, 5vw, 2.4rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 500;
  color: #000;
}

.main__filter-products .section-separator {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  height: 6px;
  margin-top: 12px;
}

.main__filter-products .section-separator .section-separator-block {
  display: block;
  width: 100px;
  height: 6px;
  background-color: var(--secondary-color);
}

.main__filter-products .section-separator .section-separator-line {
  display: block;
  width: 100%;
  height: 2px;
  background-color: var(--secondary-color);
}

.breadcumb-list {
  display: flex;
  align-items: center;
  gap: 6px;
}

.breadcumb-list li a {
  font-family: 'DM Sans', sans-serif;
  font-size: clamp(1.4rem, 5vw, 1.8rem);
  color: #000;
  transition: all .3s;
}

.breadcumb-list li a:hover {
  color: var(--primary-color);
}

.breadcumb-list__separator {
  max-width: 20px;
}

/* List cards */

.main__filter-products__list-cards {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  max-width: 100%;
  gap: 64px 10px;
  margin: 36px auto;
  padding-left: 36px;
}

.main__filter-products__list-cards li {
  flex: 0 1 260px;
  position: relative;
}


@media(max-width: 1200px) {
  :root {
    --section-padding: 36px;
  }
}

@media (max-width: 768px) {
  :root {
    --section-padding: 16px;
  }
  
  /* Separator Bg */
  .separator-bg {
    height: 10vh;
    margin-top: 16px;
  }

  /* Main */

  .main {
    flex-direction: column;
  }

  /* Filters */

  .main__filters {
    display: none;
  }

  /* Mobile filter */

  .main__filter-products__mobile-filter {
    display: block;
  }

  /*  Cards  */

  .main__filter-products__list-cards {
    justify-content: center;
    margin: 24px auto;
    padding-left: 0px;
  }

  .main__filter-products__list-cards li {
    flex: 1 1 150px;
    height: auto;
  }

  .card-product__wrapper-image {
    max-width: 130px;
    height: 120px;
    margin: 0 auto;
  }

  .product-ref {
    display: none;
  }

  .card-product h4 {
    margin-top: 6px;
  }
}
@media (min-width: 300px) {
  .main__filter-products__list-cards {
    gap: 32px 10px;
  }
}

@media (min-width: 600px) {
  .main__filter-products__list-cards {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 900px) {
  .main__filter-products__list-cards {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (min-width: 1200px) {
  .main__filter-products__list-cards {
    grid-template-columns: repeat(4, 1fr); /* máximo de 4 colunas */
  }
}